using System;

internal sealed class Delegate346 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate346 delegate346_1)
	{
		return delegate346_1(object_0);
	}

	public extern Delegate346(object object_0, IntPtr intptr_0);

	static Delegate346()
	{
		Class10.smethod_13(typeof(Delegate346).TypeHandle);
	}

	internal static Delegate346 delegate346_0;
}
